#
# spec file for package cosmic-ext-calculator
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid dev.edfloreshz.Calculator
Name:           cosmic-ext-calculator
Version:        0.1.0+git20241009.2a519cf
Release:        1.2
Summary:        A simple calculator for the COSMIC desktop
License:        GPL-3.0-only
URL:            https://github.com/edfloreshz/cosmic-ext-calculator
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary}.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install
%suse_update_desktop_file %{appid}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{appid}.svg

%changelog
* Thu Oct 10 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.0+git20241009.2a519cf:
  * fix: division not working due to incorrect symbol
  * fix: correctly evaluate expressions
  * chore: downgrade cosmic-text
  * chore: update libcosmic
  * fix: set window title
  * update metainfo for COSMIC Store featured page
  * Add provides ID
  * fix: history calculations not displayed on click
  * improv: history entries can be deleted
  * improv: history can now be cleared
  * add: flatpak support
  * update metainfo
  * update app icon
  * fix: remove history screenshot
  * Update README.md
  * fix: change rw to ro access to cosmic config
  * chore: update libcosmic
  * expand metainfo
- update upstream url
* Wed Aug 21 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
